(function($, Drupal) {
	"use strict";
	Drupal.Brainfood = Drupal.Brainfood || {};
	Drupal.behaviors.MainBrainfood = {
		attach: function(context, settings) {
			$(window).on("load",function(){
				var checkRecomment = true;
				if (checkRecomment==true) {
					Drupal.Brainfood.recommendForYou();
					checkRecomment = false;
				}
			});      
			Drupal.Brainfood.sendYourReview();
			Drupal.Brainfood.yourWishList();
			Drupal.Brainfood.showPriceCost();
			Drupal.Brainfood.showAuthor();
			Drupal.Brainfood.hideLinkUser();
			Drupal.Brainfood.activeTitleBlog();
			Drupal.Brainfood.yourCart();
			Drupal.Brainfood.customLinkRtl(".your-cart-custom");
            Drupal.Brainfood.customLinkRtl(".panel-second .line-black .view-header");
            Drupal.Brainfood.customLinkRtl(".panel-third .line-black .view-header");
            Drupal.Brainfood.customLinkRtl(".view-frontpage .view-footer");
            Drupal.Brainfood.customLinkRtl(".view-list-blog .read-all");
			if ($('body').hasClass('path-contact')) {
				$('#edit-field-phone-number-0-value').attr('type', 'number');
			}
		}
	};

	Drupal.Brainfood.yourCart = function() {
		if ($('body').hasClass('path-cart')) {
			if (!$('.btn-cancel-order').hasClass('show')) {
				$('<a class="btn-cancel-order" href="'+ drupalSettings.path.baseUrl +'your-cart">Cancel</a>').prependTo('.uc-cart-checkout-form #edit-actions');
				$('.btn-cancel-order').addClass('show');
			}
			$('.breadcrumb ol li:last-child a').attr('href',''+ drupalSettings.path.baseUrl +'your-cart');
		}
		if ($('body').hasClass('path-your-cart')) {
			if (!$('#system-breadcrumb').hasClass('add')) {
				$('#system-breadcrumb').addClass('add');
				if($('html').attr('dir')=='rtl'){
					$('<li><a href="'+ drupalSettings.path.baseUrl +'ar/your-cart"> Shopping cart</a></li>').appendTo('.breadcrumb ol');
				}
				else{
					$('<li><a href="'+ drupalSettings.path.baseUrl +'your-cart"> Shopping cart</a></li>').appendTo('.breadcrumb ol');
				}
				
			}
		}
		if ($('body').hasClass('path-wishlist')) {
			if (!$('#system-breadcrumb').hasClass('add')) {
				$('<li><a href="'+ drupalSettings.path.baseUrl +'wishlist"> Wishlist</a></li>').appendTo('.breadcrumb ol');
				$('#system-breadcrumb').addClass('add');
			}
		}
		if ($('.page-title .field--name-title').text() == 'Terms') {
		   	if (!$('#system-breadcrumb').hasClass('add')) {
		    	$('<li><a href="'+ drupalSettings.path.baseUrl +'terms"> Terms</a></li>').appendTo('.breadcrumb ol');
		    	$('#system-breadcrumb').addClass('add');
		   	}
		  }
		if ($('.page-title .field--name-title').text() == 'Privacy Policy') {
		   	if (!$('#system-breadcrumb').hasClass('add')) {
		    	$('<li><a href="'+ drupalSettings.path.baseUrl +'policy"> Policy</a></li>').appendTo('.breadcrumb ol');
		    	$('#system-breadcrumb').addClass('add');
		   	}
		}
	}

	Drupal.Brainfood.hideLinkUser = function() {
		if ($('body.user-logged-in.path-user #block-brainfood-content article').hasClass('profile')) {
			$('.user-view-info-block-link .view-profile').addClass('hidden');
		}
		if ($('body.user-logged-in.path-user #block-brainfood-content form').hasClass('simplenews-subscriber-account-form')) {
			$('.user-view-info-block-link .email-seting').addClass('hidden');
		}
		if ($('body.user-logged-in.path-user #block-brainfood-content form').hasClass('user-form')) {
			$('.user-view-info-block-link .edit-profile').addClass('hidden');
		}
		$('body.user-logged-in.path-user .page-title').text("HELLO, " + $('.first-name-user-logined').text());
		if ($('body.user-logged-in.path-user #block-brainfood-content article').hasClass('profile')) {
			if ($('.first-name-user-logined').text() != $('.field--name-field-first-name .field__item').text()) {
				$('#main .col-sidebar').addClass('hidden');
				$('#main .col-content').addClass('full-col-content');
				$('body.user-logged-in.path-user .page-title').text($('.field--name-field-first-name .field__item').text());
			}
		}
	}

	Drupal.Brainfood.showAuthor = function() {
		$('.uc-cart-view-form .responsive-enabled tbody tr').each(function(index){
			if (!$(this).find('#edit-items-' + index + '-desc-author').hasClass('active')) {
				$(this).find('#edit-items-' + index + '-desc-author').wrap( "<div class='author-book-name'></div>" );
				$("<span class='title-author'>Author(s): </span>").insertBefore('#edit-items-' + index + '-desc-author');
			}
			$(this).find('#edit-items-' + index + '-desc-author').addClass('active');			
		});
	}

	Drupal.Brainfood.showPriceCost = function() {
		$('.view-content').each(function(){
			$(this).find('.views-row').each(function(){
				var price = $(this).find('.views-field-price .field-content').text();
				var cost = $(this).find('.views-field-cost .field-content').text();
				if (parseFloat(price.substr(1, price.length)) >= parseFloat(cost.substr(1, cost.length))) {
					$(this).find('.views-field-cost').addClass('hidden');
				}
				if (parseFloat(cost.substr(1, cost.length)) == 0) {
					$(this).find('.views-field-cost').addClass('hidden');
				} 
			});
		});

		$('.view-content .views-view-grid .row .col-md-2').each(function(){
			var price = $(this).find('.views-field-price .field-content').text();
			var cost = $(this).find('.views-field-cost .field-content').text();
			if (parseFloat(price.substr(1, price.length)) >= parseFloat(cost.substr(1, cost.length))) {
				$(this).find('.views-field-cost').addClass('hidden');
			}
			if (parseFloat(cost.substr(1, cost.length)) == 0) {
				$(this).find('.views-field-cost').addClass('hidden');
			} 
		});

		$('.view-content .owl-wrapper .owl-item').each(function(){
			var price = $(this).find('.views-field-price .field-content').text();
			var cost = $(this).find('.views-field-cost .field-content').text();
			if (parseFloat(price.substr(1, price.length)) >= parseFloat(cost.substr(1, cost.length))) {
				$(this).find('.views-field-cost').addClass('hidden');
			}
			if (parseFloat(cost.substr(1, cost.length)) == 0) {
				$(this).find('.views-field-cost').addClass('hidden');
			} 
		});

		var price = $('.group-field-nth-3-inner .fields-price .field--name-price').text();
		var cost = $('.group-field-nth-3-inner .fields-price .field--name-cost').text();
		if (parseFloat(price.substr(1, price.length)) >= parseFloat(cost.substr(1, cost.length))) {
			$('.group-field-nth-3-inner .fields-price .field--name-cost').addClass('hidden');
		}
		if (parseFloat(cost.substr(1, cost.length)) == 0) {
			$('.group-field-nth-3-inner .fields-price .field--name-cost').addClass('hidden');
		}
	}

	Drupal.Brainfood.yourWishList = function() {
		$('.your-wish-list .view-content .views-view-grid .views-row').each(function(){
			$(this).find('.views-col').each(function(){
				var stockStatus = $(this).find('.views-field-field-availability .field-content').text();
				if (stockStatus == 'Out Of Stock') {
					$(this).addClass('availability-out-of-stock');
				}        
			});
		});
	}

	Drupal.Brainfood.recommendForYou = function() {
		var listTermName = [];
		$('.view-recommend-products .attachment .term-name-item').each(function(index){
			var termName = $(this).find('.views-field-tid .field-content').text();
			listTermName[index] = termName;
		})
		$('.views-exposed-form #edit-genre-target-id').val(listTermName);

		if (!$('.page-node-type-product .view-recommend-products').hasClass('active')) {
			$('.page-node-type-product .view-recommend-products #edit-submit-list-products').click();
			$('.page-node-type-product .view-recommend-products').addClass('active');
		}

		setTimeout(function() {
			var titleNameNode = $('.node--type-product .field--name-title').text();
			var check = $('.page-node-type-product .view-recommend-products .view-header').text().trim();
			$('.page-node-type-product .view-recommend-products .views-col').each(function(index){
				var itemName = $(this).find('.views-field-title .field-content a').text();
				if (itemName==titleNameNode) {
					$(this).addClass('hidden');
				}
			})
			if (Number(check)>1) {
				$("[class*='block-views-blocklist-products-block-']").css("display","block");
			}
		}, 1000);
	}

	Drupal.Brainfood.sendYourReview = function() {
		$('div.send-your-review').one().on('click', function() {
			$('#quicktabs-product_details ul.quicktabs-tabs li:last-child .quicktabs-loaded').trigger('click');
			var etop = $('#comment-form').offset().top - 150;
			$('html, body').animate({
				scrollTop: etop
			}, 1000);
		});
	}

	Drupal.Brainfood.activeTitleBlog = function() {
		var titleblog = $('.node--type-article .field--name-title').text();
		$('.footer .view-list-blog .views-row').each(function(){
			var titleblogfooter = $(this).find('.views-field-title a').text();
			if (titleblogfooter == titleblog) {
				$(this).addClass('active-title-blog');
			}        
		});
	}

	Drupal.Brainfood.customLinkRtl = function(sellink){
	    if($('html').attr('dir')=='rtl'){
	      	if (!$(sellink).hasClass('geturl')) {
		        $(sellink).addClass('geturl');
		        var urlstring =$(sellink).find('a').attr('href');
		        var lct= urlstring.indexOf("ar");
		        var url1= urlstring.slice(0,lct);
		        var url2= urlstring.slice(lct+2);
		        var url3= url1+'ar/'+url2;
		        $(sellink).find('a').attr('href',url3);
	      	};
	    };
	 };

})(jQuery, Drupal);