<?php
namespace Drupal\brainfood_api\Plugin\rest\resource;

use Drupal\rest\Plugin\ResourceBase;
use Drupal\rest\ResourceResponse;
use Drupal\file\Entity\File;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Drupal\Core\Entity;
use Drupal\node\Entity\Node;

/**
 * Get all terms in vocabulary and vocabulary description.
 *
 * @RestResource(
 *   id = "brainfood_api_textbooks",
 *   label = @Translation("BrainFoodTextbooks"),
 *   uri_paths = {
 *     "canonical" = "/api/v1/textbooks",
 *   }
 * )
 */
class BrainFoodTextbooksData extends ResourceBase {

  /**
   * Responds to GET requests.
   *
   * Returns all terms in vocabulary and vocabulary description.
   *
   * @return \Drupal\rest\ResourceResponse
   *   The response containing the user profile.
   *
   * @throws \Symfony\Component\HttpKernel\Exception\NotFoundHttpException
   *   Thrown when the user was not found.
   * @throws \Symfony\Component\HttpKernel\Exception\BadRequestHttpException
   *   Thrown when no user was provided.
   */

  public function get() {
    $vid = 'textbooks';
    $terms =\Drupal::entityTypeManager()->getStorage('taxonomy_term')->loadTree($vid);
    foreach ($terms as $term) {
      $textbooks_data[] = array(
        "id" => $term->tid,
        "name" => $term->name
      );
    }
    return new ResourceResponse($textbooks_data);
  }
}