<?php
namespace Drupal\ubercart_custom\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Menu;
use Drupal\Core\Menu\MenuTreeParameters;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Render\Element;
use Drupal\Core\Url;
/**
 * Provides a 'Your Cart' Block.
 *
 * @Block(
 *   id = "your_cart_custom",
 *   admin_label = @Translation("Your Cart"),
 *   category = @Translation("Your Cart"),
 * )
 */
class YourCart extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $cart = \Drupal::service('uc_cart.manager')->get();
    $product_count = count($cart->getContents());
    $item_count = 0;
    if ($product_count) {
      foreach ($cart->getContents() as $item) {
        $display_item = \Drupal::moduleHandler()->invoke($item->data->module, 'uc_cart_display', array($item));

        if (count(Element::children($display_item))) {
          $items[] = array(
            'nid' => $display_item['nid']['#value'],
            'qty' => $display_item['qty']['#default_value'],
              // $display_item['title'] can be either #markup or #type => 'link', so render it.
            'title' => drupal_render($display_item['title']),
            'price' => $display_item['#total'],
            'desc' => isset($display_item['description']['#markup']) ? $display_item['description']['#markup'] : FALSE,
          );
          $item_count += $display_item['qty']['#default_value'];
        }
      }
    }
    $language = \Drupal::languageManager()->getCurrentLanguage()->getId();

    if($language == 'en') {
      $language = '';
    }
    $language = $language . '/your-cart';
    $build = [
      '#theme' => 'your_cart_custom',
      '#number_item' => $item_count,
      '#language' => $language,
      '#cache' => [
        'max-age' => 0,
      ]
    ];
    return $build;
  }
}